package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsDisStaCoal;

import java.util.List;

/**
 * 能源折标准煤维Service接口
 *
 * @author ruoyi
 * @date 2024-12-02
 */
public interface IEmsDisStaCoalService {
    /**
     * 查询能源折标准煤维
     *
     * @param id 能源折标准煤维主键
     * @return 能源折标准煤维
     */
    EmsDisStaCoal selectDisStaCoalById(Long id);

    /**
     * 查询能源折标准煤维
     *
     * @param code 能源折标准煤维主键
     * @return 能源折标准煤维
     */
    EmsDisStaCoal selectDisStaCoalByCode(String code);

    /**
     * 查询能源折标准煤维列表
     *
     * @param disStaCoal 能源折标准煤维
     * @return 能源折标准煤维集合
     */
    List<EmsDisStaCoal> selectDisStaCoalList(EmsDisStaCoal disStaCoal);

    /**
     * 新增能源折标准煤维
     *
     * @param disStaCoal 能源折标准煤维
     * @return 结果
     */
    int insertDisStaCoal(EmsDisStaCoal disStaCoal);

    /**
     * 修改能源折标准煤维
     *
     * @param disStaCoal 能源折标准煤维
     * @return 结果
     */
    int updateDisStaCoal(EmsDisStaCoal disStaCoal);

    /**
     * 删除能源折标准煤维信息
     *
     * @param id 能源折标准煤维主键
     * @return 结果
     */
    int deleteDisStaCoalById(Long id);
}
